Index: trunk/src/lib/collision_detection/cd_engine.cc
===================================================================
--- trunk/src/lib/collision_detection/cd_engine.cc	(revision 8315)
+++ trunk/src/lib/collision_detection/cd_engine.cc	(revision 8316)
@@ -99,8 +99,8 @@
   if( likely( this->terrain != NULL))
   {
-    Quadtree* q = dynamic_cast<Terrain*>(this->terrain)->ssp->getQuadtree();
+//    Quadtree* q = dynamic_cast<Terrain*>(this->terrain)->ssp->getQuadtree();
 //    QuadtreeNode* n = q->getQuadtreeFromPosition(this->player->getAbsCoor());
   }
-  
+
   if( likely( this->bspManager != NULL))
   {
Index: trunk/src/lib/collision_detection/obb_tree.cc
===================================================================
--- trunk/src/lib/collision_detection/obb_tree.cc	(revision 8315)
+++ trunk/src/lib/collision_detection/obb_tree.cc	(revision 8316)
@@ -74,5 +74,5 @@
   /* triangles indexes created */
   int* triangleIndexes = new int[modelInf.numTriangles];
-  for( int i = 0; i < modelInf.numTriangles; ++i)
+  for(unsigned int i = 0; i < modelInf.numTriangles; ++i)
     triangleIndexes[i] = i;
 
Index: trunk/src/lib/collision_detection/obb_tree_node.cc
===================================================================
--- trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 8315)
+++ trunk/src/lib/collision_detection/obb_tree_node.cc	(revision 8316)
@@ -152,6 +152,5 @@
   Vector    p, q, r;                                 //!< holder of the polygon data, much more conveniant to work with Vector than sVec3d
   Vector    t1, t2;                                  //!< temporary values
-  float     covariance[3][3] = {0,0,0, 0,0,0, 0,0,0};//!< the covariance matrix
-  const float*   tmpVec = NULL;                           //!< a temp saving place for sVec3Ds
+  float     covariance[3][3] = {{0,0,0}, {0,0,0}, {0,0,0}};//!< the covariance matrix
 
   /* fist compute all the convex hull face/facelets and centroids */
@@ -275,5 +274,4 @@
   PRINTF(4)("Calculate Box Axis\n");
   /* now get the axis length */
-  float               halfLength[3];                         //!< half length of the axis
   float               tmpLength;                             //!< tmp save point for the length
   Plane               p0(box.axis[0], box.center);           //!< the axis planes
@@ -371,9 +369,6 @@
   PRINTF(4)("Separating along the longest axis\n");
   /* get the closest vertex near the center */
-  float               dist = 999999.0f;                    //!< the smallest distance to each vertex
   float               tmpDist;                             //!< variable to save diverse distances temporarily
-  int                 vertexIndex;                         //!< index of the vertex near the center
   Plane               middlePlane(box.axis[longestAxisIndex], box.center); //!< the middle plane
-  const sVec3D*       tmpVec;                              //!< temp simple 3D vector
 
 
@@ -662,5 +657,5 @@
         glBegin(GL_POINTS);
         glColor3f(0.3, 0.8, 0.54);
-        for( int i = 0; i < this->bvElement->modelInf->numVertices*3; i+=3)
+        for(unsigned int i = 0; i < this->bvElement->modelInf->numVertices*3; i+=3)
           glVertex3f(this->bvElement->modelInf->pVertices[i],
                      this->bvElement->modelInf->pVertices[i+1],
Index: trunk/src/lib/coord/p_node.cc
===================================================================
--- trunk/src/lib/coord/p_node.cc	(revision 8315)
+++ trunk/src/lib/coord/p_node.cc	(revision 8316)
@@ -36,5 +36,5 @@
  */
 PNode::PNode (PNode* parent, long nodeFlags)
-    : Synchronizeable(), BaseObject()
+  : BaseObject(), Synchronizeable()
 {
   this->setClassID(CL_PARENT_NODE, "PNode");
@@ -798,5 +798,5 @@
         {
           this->relDirection = rotQuat;
-          this->bRelDirChanged;
+          this->bRelDirChanged = true;
         }
         else
@@ -805,5 +805,5 @@
           this->toDirection = NULL;
           PRINTF(5)("SmoothRotate of %s finished\n", this->getName());
-          this->bRelDirChanged;
+          this->bRelDirChanged = true;
         }
       }
@@ -1058,4 +1058,6 @@
   else if (parentingMode == PNODE_ROTATE_AND_MOVE)
     return "rotate-and-move";
+  else
+    return "all";
 }
 
@@ -1077,4 +1079,6 @@
   else  if (parentingMode == "rotate-and-move")
     return (PNODE_ROTATE_AND_MOVE);
+  else
+    return PNODE_ALL;
 }
 
Index: trunk/src/lib/event/event_handler.cc
===================================================================
--- trunk/src/lib/event/event_handler.cc	(revision 8315)
+++ trunk/src/lib/event/event_handler.cc	(revision 8316)
@@ -369,5 +369,4 @@
   SDL_Event event;
   Event ev;
-  EventListener* listener = NULL;
   while( SDL_PollEvent (&event))
   {
Index: trunk/src/lib/graphics/effects/fog_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/fog_effect.cc	(revision 8315)
+++ trunk/src/lib/graphics/effects/fog_effect.cc	(revision 8316)
@@ -72,5 +72,5 @@
 	this->fogFadeDuration = 0;
 	this->localTimer = 0;
-	
+
 	this->fogMode = GL_EXP2;
 	this->fogDensity = 0.001;
@@ -79,4 +79,5 @@
 	this->colorVector = Vector(0.7, 0.7, 0.7);
 
+        return true;
 }
 
@@ -87,5 +88,5 @@
 
 	this->fogActivate = true;
-	
+
 	GLfloat fogColor[4] = { colorVector.x, colorVector.y, colorVector.z, 1.0};
 	glFogi(GL_FOG_MODE, this->fogMode);
@@ -95,7 +96,8 @@
 	glFogf(GL_FOG_START, this->fogStart);
 	glFogf(GL_FOG_END, this->fogEnd);
-	
+
 	glEnable(GL_FOG);
 	// glClearColor(0.5, 0.5, 0.5, 1.0);
+        return true;
 }
 
@@ -106,6 +108,8 @@
 
 	this->fogActivate = false;
-	
+
 	glDisable(GL_FOG);
+
+        return true;
 }
 
@@ -122,5 +126,5 @@
 	if (!this->fogActivate)
 		return;
-		
+
 
 	if (this->fogFadeDuration != 0 && this->localTimer < this->fogFadeDuration) {
Index: trunk/src/lib/graphics/effects/graphics_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/graphics_effect.cc	(revision 8315)
+++ trunk/src/lib/graphics/effects/graphics_effect.cc	(revision 8316)
@@ -61,5 +61,7 @@
  */
 bool GraphicsEffect::init()
-{}
+{
+  return true;
+}
 
 
Index: trunk/src/lib/graphics/effects/lense_flare.cc
===================================================================
--- trunk/src/lib/graphics/effects/lense_flare.cc	(revision 8315)
+++ trunk/src/lib/graphics/effects/lense_flare.cc	(revision 8316)
@@ -104,5 +104,7 @@
  */
 bool LenseFlare::init()
-{}
+{
+  return true;
+}
 
 
@@ -113,4 +115,6 @@
 {
   this->bActivated = true;
+
+  return true;
 }
 
@@ -122,4 +126,6 @@
 {
   this->bActivated = false;
+
+  return true;
 }
 
@@ -130,5 +136,8 @@
  */
 GLint LenseFlare::stringToFogMode(const std::string& mode)
-{}
+{
+  PRINTF(1)("NOT IMPLEMENTED");
+  return 0;
+}
 
 
Index: trunk/src/lib/graphics/effects/lightening_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/lightening_effect.cc	(revision 8315)
+++ trunk/src/lib/graphics/effects/lightening_effect.cc	(revision 8316)
@@ -36,5 +36,5 @@
 {
 	this->setClassID(CL_LIGHTENING_EFFECT, "LighteningEffect");
-  
+
 	this->init();
 
@@ -54,5 +54,5 @@
 {
 	WeatherEffect::loadParams(root);
-  
+
   LoadParam(root, "coord", this, LighteningEffect, coord);
   LoadParam(root, "option", this, LighteningEffect, setLighteningOption);
@@ -68,5 +68,5 @@
 {
   lighteningActivate = false;
-  
+
   this->time = 0.0;
   this->flashFrequency = 1.4f;
@@ -117,4 +117,6 @@
     ResourceManager::getInstance()->unload(this->thunderBuffer);
   this->thunderBuffer = (OrxSound::SoundBuffer*)ResourceManager::getInstance()->load("sound/thunder.wav", WAV);*/
+
+  return true;
 }
 
@@ -149,4 +151,6 @@
   this->time = 0;
   lighteningActivate = true;
+
+  return true;
 }
 
@@ -160,4 +164,7 @@
   this->billboard[3]->setVisibiliy(false);
   lighteningActivate = false;
+
+
+  return true;
 }
 
@@ -166,5 +173,5 @@
   if(!lighteningActivate)
     return;
-  
+
   this->time += dt;
 
@@ -175,17 +182,17 @@
     else
       this->flashLight->setDiffuseColor(100,100,100);
-    
+
     //PRINTF(0)("100*time: %f %i\n", 100*time, (int)(100*time));
 }*/
-  
+
   if( this->time > this->flashFrequency)
   {
     this->billboard[0]->setVisibiliy(true);
     this->time = 0.0f;
-    
+
     this->flashLight = new Light();
     this->flashLight->setAbsCoor(this->billboard[0]->getAbsCoor().x, this->billboard[0]->getAbsCoor().y, this->billboard[0]->getAbsCoor().z);
     this->flashLight->setDiffuseColor(100,100,100);
-    
+
     //this->soundSource.play(this->thunderBuffer);
   }
@@ -195,5 +202,5 @@
     this->time = 0.0f;
     this->bNewCoordinate = true;
-    
+
     if(flashLight != NULL)
     {
Index: trunk/src/lib/graphics/effects/rain_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/rain_effect.cc	(revision 8315)
+++ trunk/src/lib/graphics/effects/rain_effect.cc	(revision 8316)
@@ -117,4 +117,6 @@
 	lightMan = LightManager::getInstance();
 	this->rainAmbient = lightMan->getAmbientColor();
+
+        return true;
 }
 
@@ -150,9 +152,11 @@
 
 	this->emitter->setSpread(this->rainWindForce / 50, 0.2);
-	
+
 	this->soundSource.loop(this->rainBuffer, this->soundRainVolume);
 	if (this->rainWindForce != 0) this->soundSource.loop(this->windBuffer, 0.1f * this->rainWindForce);
 
 	lightMan->setAmbientColor(.1,.1,.1);
+
+        return true;
 }
 
@@ -161,5 +165,5 @@
 {
 	PRINTF(0)("Deactivating RainEffect\n");
-	
+
 	this->rainActivate = false;
 	this->emitter->setSystem(NULL);
@@ -170,4 +174,6 @@
 	// Restore Light Ambient
 	lightMan->setAmbientColor(this->rainAmbient, this->rainAmbient, this->rainAmbient);
+
+        return true;
 }
 
@@ -176,5 +182,5 @@
 	if (!this->rainActivate)
 		return;
-		
+
 	if (this->rainMove) {
 		this->rainCoord = State::getCameraNode()->getAbsCoor();
@@ -202,5 +208,5 @@
 		// this->soundSource.fadein(this->rainBuffer, 10);
 	}
-	
+
 }
 
Index: trunk/src/lib/graphics/effects/snow_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/snow_effect.cc	(revision 8315)
+++ trunk/src/lib/graphics/effects/snow_effect.cc	(revision 8316)
@@ -79,5 +79,5 @@
 	LoadParam(root, "size", this, SnowEffect, size);
 	LoadParam(root, "coord", this, SnowEffect, coord);
-  
+
 	LOAD_PARAM_START_CYCLE(root, element);
 	{
@@ -111,4 +111,6 @@
 	this->snowCoord = Vector(100,450,400);
 	this->snowWindForce = 1;
+
+        return true;
 }
 
@@ -143,4 +145,6 @@
 	if (this->snowWindForce > 1)
 		this->soundSource.loop(this->windBuffer);
+
+        return true;
 }
 
@@ -156,4 +160,5 @@
 		ResourceManager::getInstance()->unload(this->windBuffer);
 
+        return true;
 }
 
@@ -171,5 +176,5 @@
 	/*
 	float distance = (State::getCameraNode()->getAbsCoor() - Vector(snowCoord.x, State::getCameraNode()->getAbsCoor().y, snowCoord.z)).len();
-	
+
 	if(activated)
 	{
@@ -182,5 +187,5 @@
 	else if(distance > 0.1*snowSize.x || distance > 0.1*snowSize.y)
 	this->alpha = 0.4;
-	
+
 	SnowEffect::snowParticles->setColor(0,1, 1, 1, alpha);
 	SnowEffect::snowParticles->setColor(.5, .6, .6, .6, alpha/2);
@@ -197,5 +202,5 @@
 	else if( distance < 0.1*snowSize.x || distance < 0.1*snowSize.y )
 	this->alpha = 0.5;
-	
+
 	SnowEffect::snowParticles->setColor(0,1, 1, 1, alpha);
 	SnowEffect::snowParticles->setColor(.5, .6, .6, .6, alpha/2);
Index: trunk/src/lib/graphics/effects/volfog_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/volfog_effect.cc	(revision 8315)
+++ trunk/src/lib/graphics/effects/volfog_effect.cc	(revision 8316)
@@ -29,5 +29,5 @@
 
 //#include <GL/glext.h> //OpenGL Extensions
-//#include <GL/glxext.h> // GLX Extensions 
+//#include <GL/glxext.h> // GLX Extensions
 
 #ifndef GL_EXT_fog_coord
@@ -92,5 +92,5 @@
 	// Set fog color
 	float fogColor[4] = {0.6f,0.58f,0.79f,0.0f};
-	
+
 
 	glFogCoordfEXT       = (PFNGLFOGCOORDFEXTPROC)glXGetProcAddressARB((const GLubyte*)"glFogCoordfEXT");
@@ -132,4 +132,6 @@
 {
 	PRINTF(0)("Activating VolFogEffect\n");
+
+        return true;
 }
 
@@ -139,4 +141,6 @@
 
 	glDisable(GL_FOG);
+
+        return true;
 }
 
@@ -160,9 +164,9 @@
 	//glEnable(GL_BLEND);
 	//glBlendFunc(GL_SRC_ALPHA, GL_DST_ALPHA);
-	
+
 	int i;
 	glLoadIdentity();
 
-	
+
 	glBegin( GL_LINES );
 		glNormal3f(0,1,0);
@@ -210,5 +214,5 @@
 * ticks the effect if there is any time dependancy
 */
-void VolFogEffect::tick(float dt)	
-{
-}
+void VolFogEffect::tick(float dt)
+{
+}
Index: trunk/src/lib/graphics/effects/weather_effect.cc
===================================================================
--- trunk/src/lib/graphics/effects/weather_effect.cc	(revision 8315)
+++ trunk/src/lib/graphics/effects/weather_effect.cc	(revision 8316)
@@ -56,5 +56,7 @@
  */
 bool WeatherEffect::init()
-{}
+{
+  return true;
+}
 
 
Index: trunk/src/lib/graphics/graphics_engine.cc
===================================================================
--- trunk/src/lib/graphics/graphics_engine.cc	(revision 8315)
+++ trunk/src/lib/graphics/graphics_engine.cc	(revision 8316)
@@ -145,4 +145,5 @@
     return -1;
   this->initVideo(640, 480, 16);
+  return 1;
 }
 
@@ -161,5 +162,5 @@
   // looking if we are in fullscreen-mode
   MultiType textures = Preferences::getInstance()->getString(CONFIG_SECTION_VIDEO_ADVANCED, CONFIG_NAME_TEXTURES, "1");
-    Texture::setTextureEnableState(textures.getBool());
+  Texture::setTextureEnableState(textures.getBool());
 
   // searching for a usefull resolution
@@ -167,5 +168,5 @@
   //resolution.debug();
   MultiType x = resolution.getString(0), y = resolution.getString(1);
-  this->initVideo(x.getInt(), y.getInt(), 16);
+  return this->initVideo(x.getInt(), y.getInt(), 16);
 
   //   GraphicsEffect* fe = new FogEffect(NULL);
@@ -203,5 +204,5 @@
   {
     PRINTF(1)("could not initialize SDL Video\n");
-    //      return -1;
+    return -1;
   }
   // initialize SDL_GL-settings
@@ -238,4 +239,5 @@
 
   this->isInit = true;
+  return 1;
 }
 
@@ -263,5 +265,5 @@
  * @brief Sets the GL-attributes
  */
-int GraphicsEngine::setGLattribs()
+void GraphicsEngine::setGLattribs()
 {
   // Set video mode
@@ -358,4 +360,5 @@
     //    SDL_Quit();
     //    return -1;
+    return -1;
   }
   glViewport(0, 0, width, height);                     // Reset The Current Viewport
@@ -379,4 +382,5 @@
   }
 #endif /* __WIN32__ */
+  return 1;
 }
 
@@ -410,5 +414,5 @@
  * @param resizeInfo SDL information about the size of the new screen size
  */
-int GraphicsEngine::resolutionChanged(const SDL_ResizeEvent& resizeInfo)
+void GraphicsEngine::resolutionChanged(const SDL_ResizeEvent& resizeInfo)
 {
   this->setResolution(resizeInfo.w, resizeInfo.h, this->bitsPerPixel);
@@ -655,7 +659,7 @@
   switch (event.type)
   {
-  case EV_VIDEO_RESIZE:
-    this->resolutionChanged(event.resize);
-    break;
-  }
-}
+    case EV_VIDEO_RESIZE:
+      this->resolutionChanged(event.resize);
+      break;
+  }
+}
Index: trunk/src/lib/graphics/graphics_engine.h
===================================================================
--- trunk/src/lib/graphics/graphics_engine.h	(revision 8315)
+++ trunk/src/lib/graphics/graphics_engine.h	(revision 8316)
@@ -54,5 +54,5 @@
     inline int getbbp() const { return this->bitsPerPixel; };
 
-    int resolutionChanged(const SDL_ResizeEvent& resizeInfo);
+    void resolutionChanged(const SDL_ResizeEvent& resizeInfo);
 
     static void enter2DMode();
@@ -88,5 +88,5 @@
     GraphicsEngine();
     int initVideo(unsigned int resX, unsigned int resY, unsigned int bbp);
-    int setGLattribs();
+    void setGLattribs();
     void grabHardwareSettings();
 
Index: trunk/src/lib/graphics/importer/height_map.cc
===================================================================
--- trunk/src/lib/graphics/importer/height_map.cc	(revision 8315)
+++ trunk/src/lib/graphics/importer/height_map.cc	(revision 8316)
@@ -108,5 +108,4 @@
 
   float height = 0;
-  int offset = 0;
 
   float r = 0.0;
@@ -474,7 +473,5 @@
   Vector v = State::getCameraNode()->getAbsCoor();
 
-  int i_min = 0;
   int i_max = (heightMap->h )/ HM_TILE_SIZE;
-  int j_min = 0;
   int j_max= (heightMap->w  ) / HM_TILE_SIZE;
 
Index: trunk/src/lib/graphics/importer/material.cc
===================================================================
--- trunk/src/lib/graphics/importer/material.cc	(revision 8315)
+++ trunk/src/lib/graphics/importer/material.cc	(revision 8316)
@@ -169,4 +169,6 @@
   }
   Material::selectedMaterial = this;
+
+  return true;
 }
 
@@ -411,5 +413,5 @@
 void Material::setAmbientMap(const std::string& aMap, GLenum target)
 {
-  SDL_Surface* ambientMap;
+  /// FIXME SDL_Surface* ambientMap;
 
 }
@@ -422,5 +424,5 @@
 void Material::setSpecularMap(const std::string& sMap, GLenum target)
 {
-  SDL_Surface* specularMap;
+  /// FIXME SDL_Surface* specularMap;
 
 }
@@ -437,5 +439,5 @@
 
 
-int Material::getMaxTextureUnits()
+unsigned int Material::getMaxTextureUnits()
 {
   int maxTexUnits = 0;
Index: trunk/src/lib/graphics/importer/material.h
===================================================================
--- trunk/src/lib/graphics/importer/material.h	(revision 8315)
+++ trunk/src/lib/graphics/importer/material.h	(revision 8316)
@@ -69,5 +69,5 @@
     static const GLenum glTextureArbs[];  //!< The Texture ARB's
 
-    static int getMaxTextureUnits();
+    static unsigned int getMaxTextureUnits();
 
   private:
Index: trunk/src/lib/graphics/importer/md2Model.cc
===================================================================
--- trunk/src/lib/graphics/importer/md2Model.cc	(revision 8315)
+++ trunk/src/lib/graphics/importer/md2Model.cc	(revision 8316)
@@ -290,5 +290,5 @@
 {
   //static sVec3D this->verticesList[MD2_MAX_VERTICES]; /* performance: created only once in a lifetime */
-  int* pCommands = this->data->pGLCommands;
+//  int* pCommands = this->data->pGLCommands;
   /* some face culling stuff */
 //   glPushAttrib(GL_POLYGON_BIT);
@@ -541,4 +541,5 @@
   delete [] buffer;
   fclose(pFile);
+  return true;
 }
 
@@ -563,3 +564,4 @@
   this->material.setIllum(3);
   this->material.setAmbient(1.0, 1.0, 1.0);
-}
+  return true;
+}
Index: trunk/src/lib/graphics/importer/media_container.cc
===================================================================
--- trunk/src/lib/graphics/importer/media_container.cc	(revision 8315)
+++ trunk/src/lib/graphics/importer/media_container.cc	(revision 8316)
@@ -182,5 +182,5 @@
 
   // get all the frames and save them in the sequence
-  while(this->addFrame(this->getNextFrame()) != NULL);
+  while(this->addFrame(this->getNextFrame()) != 0);
 }
 
Index: trunk/src/lib/graphics/importer/model.cc
===================================================================
--- trunk/src/lib/graphics/importer/model.cc	(revision 8315)
+++ trunk/src/lib/graphics/importer/model.cc	(revision 8316)
@@ -67,5 +67,5 @@
 
   glBegin(GL_TRIANGLES);
-  for( int i = 0; i < this->pModelInfo.numTriangles; ++i)
+  for(unsigned int i = 0; i < this->pModelInfo.numTriangles; ++i)
     {
       //printf("int i = %i\n", i);
Index: trunk/src/lib/graphics/importer/primitive_model.cc
===================================================================
--- trunk/src/lib/graphics/importer/primitive_model.cc	(revision 8315)
+++ trunk/src/lib/graphics/importer/primitive_model.cc	(revision 8316)
@@ -105,7 +105,7 @@
   // defining the binding Faces.
   int v1, v2, v3, v4;
-  for (int i = 0; i <= detail * 2 -1; i++)
-  {
-    for (int j = 0; j <= detail; j++)
+  for (unsigned int i = 0; i <= detail * 2 -1; i++)
+  {
+    for (unsigned int j = 0; j <= detail; j++)
     {
 
@@ -147,5 +147,5 @@
   if (detail <= 3)
     detail = 3;
-  int count = 0;
+  unsigned int count = 0;
   // defining Points of the Cylinder.
   for (float phi = 0.0; phi < 2.0*PI; phi += 2.0*PI/(float)detail)
@@ -163,5 +163,5 @@
   }
   // adding Faces
-  for (int i = 0; i < detail-1; i++)
+  for (unsigned int i = 0; i < detail-1; i++)
   {
     int p1, p2, p3, p4;
@@ -204,9 +204,9 @@
 
   //defining Faces
-  for (int i = 0; i < detail; i++)
+  for (unsigned int i = 0; i < detail; i++)
   {
     unsigned int v1, v2;
     v1 = i+2;
-    if (i == detail -1)
+    if (i+1 == detail)
       v2 = 2;
     else
@@ -225,6 +225,6 @@
 {
   //defining vertices
-  for (int i = 0; i < detail; i++)
-    for (int j = 0; j < detail; j++)
+  for (unsigned int i = 0; i < detail; i++)
+    for (unsigned int j = 0; j < detail; j++)
     {
       this->addVertex(((float)i/(float)(detail-1) -.5)*size,
@@ -236,6 +236,6 @@
   //defining Faces
   int v1, v2, v3, v4;
-  for (int i = 0; i < detail-1; i++)
-    for (int j = 0; j < detail-1; j++)
+  for (unsigned int i = 0; i < detail-1; i++)
+    for (unsigned int j = 0; j < detail-1; j++)
     {
       v1 = i*detail + j;
Index: trunk/src/lib/graphics/importer/static_model.cc
===================================================================
--- trunk/src/lib/graphics/importer/static_model.cc	(revision 8315)
+++ trunk/src/lib/graphics/importer/static_model.cc	(revision 8316)
@@ -386,4 +386,5 @@
   }
   ++this->groupCount;
+  return true;
 }
 
@@ -558,4 +559,5 @@
   this->currentGroup->faceCount += this->currentGroup->currentFace->vertexCount -2;
   this->faceCount += this->currentGroup->currentFace->vertexCount -2;
+  return true;
 }
 
@@ -591,4 +593,5 @@
   this->currentGroup->faceCount += this->currentGroup->currentFace->vertexCount - 2;
   this->faceCount += this->currentGroup->currentFace->vertexCount -2;
+  return true;
 }
 
@@ -606,4 +609,5 @@
   if (this->currentGroup->faceCount == 0)
     this->currentGroup->faceCount++;
+  return true;
 }
 
@@ -621,4 +625,5 @@
   if (this->currentGroup->faceCount == 0)
     this->currentGroup->faceCount++;
+  return true;
 }
 
@@ -637,9 +642,7 @@
 
   Vector* normArray = new Vector [vertices.size()/3];
-  for (int i=0; i<vertices.size()/3;i++)
+  for (unsigned int i=0; i<vertices.size()/3;i++)
     normArray[i] = Vector(.0,.0,.0);
 
-  int firstTouch;
-  int secondTouch;
   Vector prevV;
   Vector nextV;
@@ -668,5 +671,5 @@
 
         curElem = firstElem;
-        for (int j=0; j<tmpFace->vertexCount; j++)
+        for (unsigned int j = 0; j < tmpFace->vertexCount; j++)
         {
           if (!(nextElem = curElem->next))
@@ -696,5 +699,5 @@
   }
 
-  for (int i=0; i < this->vertices.size()/3;i++)
+  for (unsigned int i=0; i < this->vertices.size()/3;i++)
   {
     normArray[i].normalize();
@@ -705,4 +708,5 @@
   }
   delete[] normArray;
+  return true;
 }
 
@@ -741,5 +745,4 @@
           glEnd();
         this->currentGroup->faceMode = 0;
-        Material* tmpMat;
         if (tmpFace->material != NULL)
         {
@@ -797,4 +800,5 @@
     this->currentGroup = this->currentGroup->next;
   }
+  return true;
 }
 
@@ -933,7 +937,7 @@
   PRINTF(5)("importing grafical Element to openGL.\n");
 
-  if (elem->texCoordNumber != -1)
-  {
-    if (likely(elem->texCoordNumber < this->pModelInfo.numTexCoor))
+  if (elem->texCoordNumber > -1)
+  {
+    if (likely((unsigned int)elem->texCoordNumber < this->pModelInfo.numTexCoor))
       glTexCoord2fv(&this->vTexture[0] + elem->texCoordNumber * 2);
     else
@@ -941,7 +945,7 @@
                 elem->texCoordNumber, this->pModelInfo.numTexCoor);
   }
-  if (elem->normalNumber != -1)
-  {
-    if (likely(elem->normalNumber < this->pModelInfo.numNormals))
+  if (elem->normalNumber > -1)
+  {
+    if (likely((unsigned int)elem->normalNumber < this->pModelInfo.numNormals))
       glNormal3fv(&this->normals[0] + elem->normalNumber * 3);
     else
@@ -949,7 +953,7 @@
                 elem->normalNumber, this->pModelInfo.numNormals);
   }
-  if (elem->vertexNumber != -1)
-  {
-    if (likely(elem->vertexNumber < this->pModelInfo.numVertices))
+  if (elem->vertexNumber > -1)
+  {
+    if (likely((unsigned int)elem->vertexNumber < this->pModelInfo.numVertices))
       glVertex3fv(&this->vertices[0]+ elem->vertexNumber * 3);
     else
@@ -958,4 +962,5 @@
   }
 
+  return true;
 }
 
Index: trunk/src/lib/graphics/importer/tc.cc
===================================================================
--- trunk/src/lib/graphics/importer/tc.cc	(revision 8315)
+++ trunk/src/lib/graphics/importer/tc.cc	(revision 8316)
@@ -707,5 +707,5 @@
     if(tc->UsingStaticVerts) {
         double edgeTotal;
-	for(i = 0; i < tc->VertRange; i++) {
+        for(i = 0; i < (int)tc->VertRange; i++) {
 	    v = &tc->StaticVerts[i];
 	    if(v->Count > 0) {
@@ -830,5 +830,5 @@
 {
     int i;
-    int size;
+    int size = 1;
     ACTCVertex *v;
 
@@ -838,5 +838,5 @@
     if(tc->UsingStaticVerts) {
         size = tc->VertRange * sizeof(ACTCVertex);
-        for(i = 0; i < tc->VertRange; i++) {
+        for(i = 0; i < (int)tc->VertRange; i++) {
 	    v = &tc->StaticVerts[i];
 	    if(v->Count > 0)
@@ -915,5 +915,5 @@
 
 	case ACTC_IN_MAX_VERT:
-	    if(value < tc->MinInputVert) {
+          if(value < (int)tc->MinInputVert) {
 		ACTC_DEBUG(fprintf(stderr, "actcParami : tried to set "
 		    "MAX_INPUT_VERT to %d, less than MIN_INPUT_VERT (%d)\n",
@@ -925,5 +925,5 @@
 
 	case ACTC_IN_MIN_VERT:
-	    if(value > tc->MaxInputVert) {
+          if(value > (int)tc->MaxInputVert) {
 		ACTC_DEBUG(fprintf(stderr, "actcParami : tried to set "
 		    "MIN_INPUT_VERT to %d, greater than MAX_INPUT_VERT (%d)\n",
@@ -1065,5 +1065,5 @@
 static int mapVertexEdge(ACTCData *tc, ACTCVertex *v1, ACTCVertex *v2, ACTCEdge **edge)
 {
-    unsigned int i;
+    int i;
     ACTCEdge tmp;
     void *r;
Index: trunk/src/lib/graphics/importer/texture.cc
===================================================================
--- trunk/src/lib/graphics/importer/texture.cc	(revision 8315)
+++ trunk/src/lib/graphics/importer/texture.cc	(revision 8316)
@@ -33,5 +33,5 @@
 /*
  * On the BIG_ENDIAN architecture, the 24 and 32bit bitmaps have
- * different masks. If you don't do this distinction properly, 
+ * different masks. If you don't do this distinction properly,
  * you will get weird-looking textures.
  */
@@ -161,6 +161,6 @@
   unsigned int* pixels = new unsigned int[width * height * channels];
   memset(pixels, 0, width * height * channels * sizeof(unsigned int));
-  
-  
+
+
   glTexParameterf(GL_TEXTURE_2D,GL_TEXTURE_MIN_FILTER,GL_LINEAR);
   glTexParameterf(GL_TEXTURE_2D,GL_TEXTURE_MAG_FILTER,GL_LINEAR);
@@ -169,7 +169,7 @@
 
   glTexImage2D(target, 0, channels, width, height, 0, type, GL_UNSIGNED_INT, pixels);
-  
-  
-  
+
+
+
   delete[] pixels;
 
@@ -309,5 +309,5 @@
 
 	Uint32* mask = opaqueMask;
-	
+
   /* Save the alpha blending attributes */
   saved_flags = surface->flags&(SDL_SRCALPHA | SDL_RLEACCELOK);
@@ -320,5 +320,5 @@
 		mask = alphaMask;
   }
-		
+
   retSurface = SDL_CreateRGBSurface(SDL_HWSURFACE,
                                     surface->w, surface->h,
@@ -360,7 +360,7 @@
   int      errorCode = 0;           //!< the error code for the texture loading functions
   GLuint   texture = 0;             //!< the OpenGL texture handle
-  int      mipmapLevel = 0;         //!< the maximum mipmap level for this texture
-  int      mipmapWidth = 0;         //!< the width of the mipmap
-  int      mipmapHight = 0;         //!< the height of the mipmap
+  //int      mipmapLevel = 0;         //!< the maximum mipmap level for this texture
+  //int      mipmapWidth = 0;         //!< the width of the mipmap
+  //int      mipmapHight = 0;         //!< the height of the mipmap
   GLenum   format = GL_RGB;
   if (surface->format->BitsPerPixel == 32)
Index: trunk/src/lib/graphics/render2D/element_2d.cc
===================================================================
--- trunk/src/lib/graphics/render2D/element_2d.cc	(revision 8315)
+++ trunk/src/lib/graphics/render2D/element_2d.cc	(revision 8316)
@@ -961,6 +961,6 @@
         /* update the current absCoordinate */
         this->prevRelCoordinate = this->relCoordinate;
-        float sine = sin(this->parent->getAbsDir2D());
-        float cose = cos(this->parent->getAbsDir2D());
+//         float sine = sin(this->parent->getAbsDir2D());
+//         float cose = cos(this->parent->getAbsDir2D());
         //        this->absCoordinate.x = this->relCoordinate.x*cose - this->relCoordinate.y*sine + this->parent->getRelCoor2D().x*(1-cose) +this->parent->getRelCoor2D().y*sine;
         //        this->absCoordinate.y = this->relCoordinate.x*sine + this->relCoordinate.y*cose + this->parent->getRelCoor2D().y*(1-cose) +this->parent->getRelCoor2D().x*sine;
@@ -1167,4 +1167,5 @@
   else if (parentingMode == E2D_PARENT_ROTATE_AND_MOVE)
     return "rotate-and-move";
+  else return "all";
 }
 
@@ -1186,4 +1187,5 @@
   else  if (parentingMode == "rotate-and-move")
     return (E2D_PARENT_ROTATE_AND_MOVE);
+  else return E2D_PARENT_ALL;
 }
 
Index: trunk/src/lib/graphics/shader.cc
===================================================================
--- trunk/src/lib/graphics/shader.cc	(revision 8315)
+++ trunk/src/lib/graphics/shader.cc	(revision 8316)
@@ -153,4 +153,5 @@
       glAttachObjectARB(this->shaderProgram, shader);
   }
+  return true;
 }
 
Index: trunk/src/lib/graphics/text_engine/font.cc
===================================================================
--- trunk/src/lib/graphics/text_engine/font.cc	(revision 8315)
+++ trunk/src/lib/graphics/text_engine/font.cc	(revision 8316)
@@ -220,5 +220,5 @@
 
 /**
- *  sets a specific renderStyle
+ * @brief sets a specific renderStyle
  * @param renderStyle the Style to render: a string (char-array) containing:
  *   i: italic, b: bold, u, underline
@@ -228,5 +228,5 @@
   this->renderStyle = TTF_STYLE_NORMAL;
 
-  for (int i = 0; i < renderStyle.size(); i++)
+  for (unsigned int i = 0; i < renderStyle.size(); i++)
   {
     if (renderStyle[i] == 'b')
@@ -246,5 +246,5 @@
 
 /**
- * creates and exports an Image, that has all the characters
+ * @brief creates and exports an Image, that has all the characters
  * stored in a Array (as an image)
  * @param fileName the File to write the image into.
@@ -257,5 +257,4 @@
 
   //
-  SDL_Color tmpColor = {0, 0, 0};
   // Surface definition.
   SDL_Rect tmpRect; // this represents a Rectangle for blitting.
@@ -277,5 +276,4 @@
   tmpRect.x = 0; tmpRect.y = 0; tmpRect.w = tmpSurf->w; tmpRect.h = tmpSurf->h;
   SDL_SetClipRect(tmpSurf, &tmpRect);
-  int maxLineHeight = 0;
 
   int posX, posY;
@@ -339,6 +337,6 @@
 /**
  * @returns the maximum ascent of the Font, if the font was initialized, 0 otherwise
-
-   the ascent is the pixels of the font above the baseline
+ *
+ * the ascent is the pixels of the font above the baseline
  */
 int Font::getMaxAscent() const
@@ -352,6 +350,6 @@
 /**
  * @returns the maximum descent of the Font, if the font was initialized, 0 otherwise
-
-   the descent is the pixels of the font below the baseline
+ *
+ * the descent is the pixels of the font below the baseline
  */
 int Font::getMaxDescent() const
@@ -404,5 +402,5 @@
 
 /**
- * creates a Fast-Texture of this Font
+ * @brief creates a Fast-Texture of this Font
  */
 bool Font::createFastTexture()
@@ -497,4 +495,5 @@
   if (this->setSurface(tmpSurf))
     (this->setTexture(Texture::loadTexToGL(tmpSurf)));
+  return true;
 }
 
@@ -547,6 +546,6 @@
     return 0;
 
-  int i;
-  int x,y; // the counters
+  unsigned int i;
+  unsigned int x,y; // the counters
   int maxLineHeight = this->getMaxHeight();
   unsigned int size = 32;  // starting Value, we have to start somewhere 32 seems reasonable. (take any small enough 2^i number)
@@ -587,10 +586,10 @@
 
 /**
- *  a simple function to get some interesting information about this class
+ * @brief a simple function to get some interesting information about this class
  */
 void Font::debug()
 {
   // print the loaded font's style
-  int style;
+  int style = TTF_STYLE_NORMAL;
   if (likely(this->fontTTF != NULL))
     style = TTF_GetFontStyle(this->fontTTF);
Index: trunk/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc
===================================================================
--- trunk/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 8315)
+++ trunk/src/lib/gui/gl/glmenu/glmenu_imagescreen.cc	(revision 8316)
@@ -269,5 +269,4 @@
     glEnd();
 
-    /* draw black border
     glBegin(GL_QUADS);
     glColor3f(0.0, 0.0, 0.0);
Index: trunk/src/lib/gui/gl/signal_connector.cc
===================================================================
--- trunk/src/lib/gui/gl/signal_connector.cc	(revision 8315)
+++ trunk/src/lib/gui/gl/signal_connector.cc	(revision 8316)
@@ -72,4 +72,6 @@
     this->object = signalConnector.object;
     this->exec = (signalConnector.exec == NULL) ? NULL : signalConnector.exec->clone();
+
+    return *this;
   }
 
Index: trunk/src/lib/gui/qt/gui_control.cc
===================================================================
--- trunk/src/lib/gui/qt/gui_control.cc	(revision 8315)
+++ trunk/src/lib/gui/qt/gui_control.cc	(revision 8316)
@@ -283,4 +283,5 @@
         ///case Qt::Key_Power: return SDLK_POWER;
         ///case Qt::Key_Euro: return SDLK_EURO;
+      default:
         return -1;
     }
Index: trunk/src/lib/lang/class_list.cc
===================================================================
--- trunk/src/lib/lang/class_list.cc	(revision 8315)
+++ trunk/src/lib/lang/class_list.cc	(revision 8316)
@@ -367,5 +367,5 @@
       while (std::pow((float)10, (int)lenCount) <= (*cl).objectList.size())
         ++lenCount;
-      for (int i=0; i < 30-(*cl).className.size() - lenCount; i++)
+      for (unsigned int i=0; i < 30-(*cl).className.size() - lenCount; i++)
         (niceString[i]) = ' ';
       niceString[30-(*cl).className.size() - lenCount] = '\0';
Index: trunk/src/lib/parser/cmdline_parser/cmdline_parser.cc
===================================================================
--- trunk/src/lib/parser/cmdline_parser/cmdline_parser.cc	(revision 8315)
+++ trunk/src/lib/parser/cmdline_parser/cmdline_parser.cc	(revision 8316)
@@ -52,4 +52,5 @@
   else
     argTable.push_front( entry );
+  return true;
 }
 
@@ -70,5 +71,5 @@
       if ( s.length() > 2 && s[0] == '-' && s[1] != '-' )
       {
-        for ( int j = 1; j < s.length(); j++ )
+        for (unsigned int j = 1; j < s.length(); j++ )
         {
           std::string t = "-";
@@ -95,5 +96,5 @@
   }
 
-  int i = 0;
+  unsigned int i = 0;
 
   ArgTable::iterator it;
@@ -110,5 +111,5 @@
         found = true;
 
-        int posArgs = 1;
+        unsigned int posArgs = 1;
 
         while ( i + posArgs < args.size() )
@@ -130,5 +131,5 @@
         std::vector<MultiType> argArgs;
 
-        for ( int j = 1; j <= it->numArgs; j++ )
+        for (unsigned int j = 1; j <= it->numArgs; j++ )
           argArgs.push_back( args[i+j] );
 
@@ -219,5 +220,5 @@
     assert( it->numArgs == substr.size() );
 
-    for ( int i = 0; i<it->numArgs; i++ )
+    for (unsigned int i = 0; i<it->numArgs; i++ )
     {
       args += " [" + substr[i] + "]";
@@ -251,6 +252,6 @@
   output.reverse();
 
-  int maxShort = 0;
-  int maxLong = 0;
+  unsigned int maxShort = 0;
+  unsigned int maxLong = 0;
 
   std::list<std::vector<std::string> >::const_iterator it;
@@ -269,10 +270,10 @@
     printf("%s ", (*it)[0].c_str());
 
-    for ( int i = 0; i<maxShort-(*it)[0].length(); i++ )
+    for (unsigned  int i = 0; i<maxShort-(*it)[0].length(); i++ )
       printf(" ");
 
     printf("%s ", (*it)[1].c_str());
 
-    for ( int i = 0; i<maxLong-(*it)[1].length(); i++ )
+    for (unsigned int i = 0; i<maxLong-(*it)[1].length(); i++ )
       printf(" ");
 
Index: trunk/src/lib/parser/cmdline_parser/cmdline_parser.h
===================================================================
--- trunk/src/lib/parser/cmdline_parser/cmdline_parser.h	(revision 8315)
+++ trunk/src/lib/parser/cmdline_parser/cmdline_parser.h	(revision 8316)
@@ -17,10 +17,10 @@
 struct ArgTableEntry
 {
-  int         id;
-  std::string longOption;
-  char        shortOption;
-  int         numArgs;
-  std::string argNames;
-  std::string help;
+  unsigned int    id;
+  std::string     longOption;
+  char            shortOption;
+  unsigned int    numArgs;
+  std::string     argNames;
+  std::string     help;
 };
 
@@ -36,15 +36,15 @@
     CmdLineParser();
     virtual ~CmdLineParser();
-    
+
     bool add( int id, const std::string& longOption, char shortOption, int numArgs, const std::string & argNames, const std::string& help, bool back=false );
 
     bool parse( ArgParserCallback cb, void* data, int argc, char** argv );
-    
+
     void showHelp();
-    
+
   private:
     ArgTable argTable;
     std::string exeName;
-    
+
     inline bool matches( ArgTableEntry entry, std::string arg, bool & finish );
 
Index: trunk/src/lib/parser/preferences/cmd_line_prefs_reader.cc
===================================================================
--- trunk/src/lib/parser/preferences/cmd_line_prefs_reader.cc	(revision 8315)
+++ trunk/src/lib/parser/preferences/cmd_line_prefs_reader.cc	(revision 8316)
@@ -43,5 +43,5 @@
 {
   CallbackData * cbd = (CallbackData *)data;
-  
+
   switch ( entry.id )
   {
@@ -54,5 +54,5 @@
       key.erase( 0, key.find(".")+1 );
       //PRINTF(0)("SECTION '%s', KEY '%s'\n", section.c_str(), key.c_str());
-      
+
       if ( key == "" || section == "" || argArgs.size() != 1 )
       {
@@ -60,5 +60,5 @@
         return false;
       }
-      
+
       //Preferences::getInstance()->setMultiType( section, key, argArgs[0], true );
       cbd->iniEntries.push_back( IniEntry() );
@@ -72,11 +72,11 @@
       return true;
   }
-  
-  if ( entry.id >= ID_PREFS && entry.id - ID_PREFS < regArgs.size() )
+
+  if ( entry.id >= ID_PREFS && entry.id  < regArgs.size() + ID_PREFS)
   {
     if ( regArgs[entry.id - ID_PREFS].value == "%arg%" )
     {
       assert( argArgs.size() == 1 );
-      
+
       cbd->iniEntries.push_back( IniEntry() );
       cbd->iniEntries.back().section = regArgs[entry.id - ID_PREFS].section;
@@ -96,5 +96,5 @@
     assert(false);
   }
-  
+
   return true;
 }
@@ -104,8 +104,8 @@
 {
   CmdLineParser parser;
-  
+
   parser.add( ID_HELP, "help", 'h', 0, "", "Shows this help and exits");
-  
-  for ( int i = 0; i<regArgs.size(); i++ )
+
+  for (unsigned int i = 0; i<regArgs.size(); i++ )
   {
     if ( regArgs[i].value == "%arg%" )
@@ -118,11 +118,11 @@
     }
   }
-  
+
   parser.add( ID_SET_INI, "set-%", '\0', 1, "value", "Override a configuration element." );
-  
+
   CallbackData cbd;
-  
+
   cbd.parser = &parser;
-  
+
   if ( parser.parse( &callBack, &cbd, argc, argv ) )
   {
@@ -137,5 +137,5 @@
     exit(EXIT_FAILURE);
   }
-  
+
   return true;
 }
@@ -144,5 +144,5 @@
 {
   RegistredArgument arg;
-  
+
   arg.longOption = longOption;
   while ( arg.longOption.find("_") != std::string::npos )
@@ -158,6 +158,7 @@
   arg.section = section;
   arg.key = key;
-  
+
   regArgs.push_back( arg );
+  return true;
 }
 
Index: trunk/src/lib/sound/ogg_player.cc
===================================================================
--- trunk/src/lib/sound/ogg_player.cc	(revision 8315)
+++ trunk/src/lib/sound/ogg_player.cc	(revision 8316)
@@ -163,5 +163,5 @@
   bool OggPlayer::play()
   {
-    /*if (!(this->state & OggPlayer::FileOpened))
+    if (!(this->state & OggPlayer::FileOpened))
       return false;
 
@@ -173,5 +173,5 @@
     if (this->musicThreadID == NULL)
       return ((this->musicThreadID = SDL_CreateThread(OggPlayer::musicThread, (void*)this)) != NULL);
-    return true;*/
+    return true;
   }
 
Index: trunk/src/lib/util/loading/dynamic_loader.cc
===================================================================
--- trunk/src/lib/util/loading/dynamic_loader.cc	(revision 8315)
+++ trunk/src/lib/util/loading/dynamic_loader.cc	(revision 8316)
@@ -60,4 +60,5 @@
   }
   void *mkr = dlsym( this->handle, "maker");
+  return (mkr != NULL);
 }
 
@@ -72,5 +73,5 @@
   }
 //  void *mkr = dlsym("maker");
-
+  return true;
 }
 
@@ -78,4 +79,6 @@
 BaseObject* DynamicLoader::fabricateObject(const TiXmlElement* root) const
 {
+  /// FIXME
+  return NULL;
 }
 #endif
Index: trunk/src/lib/util/loading/load_param.cc
===================================================================
--- trunk/src/lib/util/loading/load_param.cc	(revision 8315)
+++ trunk/src/lib/util/loading/load_param.cc	(revision 8316)
@@ -29,5 +29,5 @@
  */
 CLoadParam::CLoadParam(const TiXmlElement* root, const std::string& paramName, BaseObject* object, Executor* executor, bool inLoadCycle)
-  :  paramName(paramName), object(object)
+  :  object(object), paramName(paramName)
 {
   this->object = object;
Index: trunk/src/lib/util/loading/load_param_description.cc
===================================================================
--- trunk/src/lib/util/loading/load_param_description.cc	(revision 8315)
+++ trunk/src/lib/util/loading/load_param_description.cc	(revision 8316)
@@ -275,3 +275,5 @@
 
   return retVal;*/
-}
+  std::list<std::string> a;
+  return a;
+}
Index: trunk/src/lib/util/loading/resource_manager.cc
===================================================================
--- trunk/src/lib/util/loading/resource_manager.cc	(revision 8315)
+++ trunk/src/lib/util/loading/resource_manager.cc	(revision 8316)
@@ -557,4 +557,5 @@
 bool ResourceManager::unloadAllByPriority(ResourcePriority prio)
 {
+  bool removedAll = true;
   unsigned int removeCount;
   for (unsigned int round = 0; round < 3; round++)
@@ -571,6 +572,9 @@
         {
           if (round == 3)
+          {
             PRINTF(2)("unable to unload %s because there are still %d references to it\n",
                       this->resourceList[index]->name.c_str(), this->resourceList[index]->count);
+            removedAll = false;
+          }
           removeCount++;
         }
@@ -580,4 +584,5 @@
     if (removeCount == 0) break;
   }
+  return removedAll;
 }
 
@@ -711,4 +716,5 @@
   }
   return tmp;*/
+  return "";
 }
 
@@ -733,4 +739,5 @@
     return this->cache(splits[1], ResourceManager::stringToResourceType(splits[0]),
                 RP_LEVEL, splits[2], splits[3], splits[4]);*/
+  return false;
 }
 
Index: trunk/src/lib/util/multi_type.cc
===================================================================
--- trunk/src/lib/util/multi_type.cc	(revision 8315)
+++ trunk/src/lib/util/multi_type.cc	(revision 8316)
@@ -160,4 +160,6 @@
     case MT_STRING:
       return (this->storedString == mt.storedString);
+    default:
+      return false;
   }
 }
@@ -190,4 +192,6 @@
       this->setString(this->getString());
       break;
+    default:
+      this->type = type;
   }
 }
@@ -477,6 +481,7 @@
     case MT_STRING:
       return MultiType::typeNames[5];
-  }
-  return MultiType::typeNames[0];
+    default:
+      return MultiType::typeNames[0];
+  }
 }
 
Index: trunk/src/orxonox.cc
===================================================================
--- trunk/src/orxonox.cc	(revision 8315)
+++ trunk/src/orxonox.cc	(revision 8316)
@@ -203,4 +203,5 @@
 
   PRINTF(3)("Parsed Config File: '%s'\n", this->configFileName.c_str());
+  return this->configFileName;
 }
 
@@ -459,5 +460,4 @@
 
   return startOrxonox(argc, argv, "", -1);
-  return 0;
 }
 
@@ -497,4 +497,5 @@
     startOrxonox(argc, argv, "", port);
   }
+  return 1;
 }
 
@@ -546,3 +547,4 @@
   delete orx;
   File("~/.orxonox/orxonox.lock").remove();
-}
+  return 1;
+}
Index: trunk/src/world_entities/playable.cc
===================================================================
--- trunk/src/world_entities/playable.cc	(revision 8315)
+++ trunk/src/world_entities/playable.cc	(revision 8316)
@@ -79,5 +79,5 @@
   // this->setPlayer(NULL);
   // IN ITS DESTRUCTOR.
-  
+
   assert(this->currentPlayer == NULL);
 }
@@ -118,4 +118,8 @@
         this->increaseHealthMax(ppu->getValue());
         return true;
+      default:
+        /// EVERYTHING THAT IS NOT HANDLED
+        /// FIXME
+        return false;
     }
   }
Index: trunk/src/world_entities/player.cc
===================================================================
--- trunk/src/world_entities/player.cc	(revision 8315)
+++ trunk/src/world_entities/player.cc	(revision 8316)
@@ -81,5 +81,5 @@
       return true;
   }
-  
+
   if ( playable == NULL )
     this->playable = NULL;
@@ -90,5 +90,5 @@
 bool Player::eject()
  {
-   this->setPlayable(NULL);
+   return this->setPlayable(NULL);
  }
 
Index: trunk/src/world_entities/projectiles/bomb.cc
===================================================================
--- trunk/src/world_entities/projectiles/bomb.cc	(revision 8315)
+++ trunk/src/world_entities/projectiles/bomb.cc	(revision 8316)
@@ -37,5 +37,4 @@
     this->loadParams(root);
 
-  float modelSize = 1.0;
   this->loadModel("models/projectiles/RadioActiveBomb.obj", 1.0);
 
Index: trunk/src/world_entities/projectiles/guided_missile.cc
===================================================================
--- trunk/src/world_entities/projectiles/guided_missile.cc	(revision 8315)
+++ trunk/src/world_entities/projectiles/guided_missile.cc	(revision 8316)
@@ -35,5 +35,4 @@
   this->setClassID(CL_GUIDED_MISSILE, "GuidedMissile");
 
-  float modelSize = .3;
   this->loadModel("models/projectiles/orx-rocket.obj", .3);
   this->loadExplosionSound("sound/explosions/explosion_4.wav");
Index: trunk/src/world_entities/projectiles/hyperblast.cc
===================================================================
--- trunk/src/world_entities/projectiles/hyperblast.cc	(revision 8315)
+++ trunk/src/world_entities/projectiles/hyperblast.cc	(revision 8316)
@@ -36,5 +36,4 @@
   this->setClassID(CL_HYPERBLAST, "Hyperblast");
 
-  float modelSize = .3;
   this->loadModel("models/projectiles/hyperblast.obj", 5);
 
Index: trunk/src/world_entities/projectiles/rocket.cc
===================================================================
--- trunk/src/world_entities/projectiles/rocket.cc	(revision 8315)
+++ trunk/src/world_entities/projectiles/rocket.cc	(revision 8316)
@@ -36,5 +36,4 @@
   this->setClassID(CL_ROCKET, "Rocket");
 
-  float modelSize = .3;
   this->loadModel("models/projectiles/orx-rocket.obj", .3);
 
Index: trunk/src/world_entities/projectiles/test_bullet.cc
===================================================================
--- trunk/src/world_entities/projectiles/test_bullet.cc	(revision 8315)
+++ trunk/src/world_entities/projectiles/test_bullet.cc	(revision 8316)
@@ -35,5 +35,4 @@
   this->setClassID(CL_TEST_BULLET, "TestBullet");
 
-  float modelSize = .3;
   this->loadModel("models/projectiles/orx-rocket.obj", .3);
 
Index: trunk/src/world_entities/space_ships/hover.cc
===================================================================
--- trunk/src/world_entities/space_ships/hover.cc	(revision 8315)
+++ trunk/src/world_entities/space_ships/hover.cc	(revision 8316)
@@ -175,7 +175,7 @@
   this->getWeaponManager().getFixedTarget()->setParent(&this->cameraNode);
   this->getWeaponManager().getFixedTarget()->setRelCoor(1000,0,0);
-  
+
   // NETWORK THINGS
-  
+
   registerVar( new SynchronizeableBool( &bForward, &bForward, "bForward", PERMISSION_OWNER ) );
   registerVar( new SynchronizeableBool( &bBackward, &bBackward, "bBackward", PERMISSION_OWNER ) );
@@ -184,5 +184,5 @@
   registerVar( new SynchronizeableBool( &bAscend, &bAscend, "bAscend", PERMISSION_OWNER ) );
   registerVar( new SynchronizeableBool( &bDescend, &bDescend, "bDescend", PERMISSION_OWNER ) );
-  
+
   registerVar( new SynchronizeableFloat( &rotation, &rotation, "rotation", PERMISSION_OWNER ) );
 }
@@ -262,5 +262,4 @@
 {
   Vector accel(0.0, 0.0, 0.0);
-  float rotSpeed = .3;
 
   if( this->bForward )
Index: trunk/src/world_entities/space_ships/turbine_hover.cc
===================================================================
--- trunk/src/world_entities/space_ships/turbine_hover.cc	(revision 8315)
+++ trunk/src/world_entities/space_ships/turbine_hover.cc	(revision 8316)
@@ -297,5 +297,4 @@
 {
   Vector accel(0.0, 0.0, 0.0);
-  float rotSpeed = .3;
 
   if( this->bForward )
@@ -416,4 +415,6 @@
     }
     break;
+    default:
+      PRINTF(2)("Playmode %s Not Implemented\n", Playable::playmodeToString(this->getPlaymode()).c_str());
   }
 }
Index: trunk/src/world_entities/terrain.cc
===================================================================
--- trunk/src/world_entities/terrain.cc	(revision 8315)
+++ trunk/src/world_entities/terrain.cc	(revision 8316)
@@ -63,5 +63,5 @@
   this->init();
 
-  if (fileName.rfind(".obj" ) != -1 || fileName.rfind(".OBJ") != -1 )
+  if (fileName.rfind(".obj" ) != std::string::npos || fileName.rfind(".OBJ") != std::string::npos )
   {
     this->loadModel(fileName);
Index: trunk/src/world_entities/test_entity.cc
===================================================================
--- trunk/src/world_entities/test_entity.cc	(revision 8315)
+++ trunk/src/world_entities/test_entity.cc	(revision 8316)
@@ -122,5 +122,4 @@
 
   this->bDeath = true;
-  float anim;
   int randi = (int)(5.0f * (float)rand()/(float)RAND_MAX);
 
Index: trunk/src/world_entities/weapons/weapon.cc
===================================================================
--- trunk/src/world_entities/weapons/weapon.cc	(revision 8315)
+++ trunk/src/world_entities/weapons/weapon.cc	(revision 8316)
@@ -86,4 +86,5 @@
     }
   }
+  return NULL;
 }
 
@@ -421,4 +422,7 @@
       return this->activateW();
       break;
+    default:
+      PRINTF(2)("Action %s Not Implemented yet \n", Weapon::actionToChar(action));
+      return false;
   }
 }
@@ -442,4 +446,5 @@
     this->enterState(WS_ACTIVATING);
   }
+  return true;
 }
 
@@ -460,4 +465,6 @@
     this->enterState(WS_DEACTIVATING);
   }
+
+  return true;
 }
 
@@ -483,4 +490,5 @@
     this->requestAction(WA_RELOAD);
   }
+  return true;
 }
 
@@ -509,4 +517,5 @@
     this->execute();
   }
+  return true;
 }
 
@@ -539,4 +548,6 @@
   this->reload();
   this->enterState(WS_RELOADING);
+
+  return true;
 }
 
Index: trunk/src/world_entities/world_entity.cc
===================================================================
--- trunk/src/world_entities/world_entity.cc	(revision 8315)
+++ trunk/src/world_entities/world_entity.cc	(revision 8316)
@@ -401,4 +401,5 @@
     if( this->collisionHandles[i] != NULL)
       this->collisionHandles[i]->registerCollisionEvent(c);
+  return true;
 }
 
@@ -424,4 +425,5 @@
     if( this->collisionHandles[i] != NULL)
       this->collisionHandles[i]->registerCollisionEvent(c);
+  return true;
 }
 
